Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product

Ready to contribute?

Amazing! Sign our contributors' agreement and then join us on GitHub.

Upgrade on 2.4

Hi there, i have upgraded my 2.3.1 version to 2.4, everything is fine, and there arent any errors so far, but when i open the admin section, and when i try to click on as example, to change Themes, it happens nothing, i m just on the same start screen in the admin section.. same with any other function so far, nothing happens when i click on it in the menu...

Comments

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator
    edited November 29

    2.4 isn't a production release.

    It is (was) released for beta testing.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Try to delete the applications/dashboard, applications/vanilla and applications/conversations folders. Then copy those folders from the 2.4 download into your installation

    There have been some minor changes in the file structure which will "confuse" Vanilla if files from a 2.3 installation still exist

  • Flower420Flower420 Munich New

    R_J
    done, now i cant join the whole admin section, than i have deleted cache/addon.php file, and now i can access the admin panel, its full of bugs

    and when i go for settings, i m geting this message:

    Something has gone wrong.

    We've run into a problem and are unable to handle this request right now.
    Please check back in a little while.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    Please search the forum how to debug the something has gone wrong message

    What do you mean with "full of bugs"?

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator

    Since 2.4 has never reached a production release, it isn't really reasonable to expect detailed help on here.

    If you don't have the experience/knowledge to debug issues for yourself, you should not be using it.

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    I know that there were quite a lot of additional fixes done after the beta of 2.4 has been released.
    As whu606 said: this is beta software and you shouldn't use it if you are not skilled enough to feel comfortable.

    From my experience (which only comes from playing around with 2.4, not from using it in a production environment) I would say that the dashboard needs polishing but the functionality is stable.

    I would be brave enough to use it, but I guess that I'm a little bit more experienced in trouble shooting Vanilla than the average admin :mrgreen:

  • Flower420Flower420 Munich New

    Exactly R_J, can i downgrade the version then?

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    I don't know that. I guess it should be possible. Is it really needed? Sounds like it wouldn't be a problem to start from zero...

    But if you want to try downgrading, I would recommend following this steps:

    1. Create a backup of the database (important!)
    2. Do a clean installation of Vanilla 2.3.1
    3. Change the database settings in your new Vanilla 2.3.1 to the old database
    4. Surf to example.com/utility/structure (example.com being your home url)

    Some plugins and themes will not be ported that way and you would have to download them from here again. Doing the downgrade that way should be working, I'd say...

    Flower420
  • Flower420Flower420 Munich New

    Okay thanks, was thinking about the same steps, now i m sure, thank you sir

Sign In or Register to comment.